using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Memo_Project.Forms
{
    public partial class frm_Login : Form
    {
        public frm_Login()
        {
            InitializeComponent();
        }

        private void frm_Login_Load(object sender, EventArgs e)
        {
            string fn = Application.StartupPath + "\\Data\\Images\\User_Pic\\about.jpg";
            try
            {
                textBox1.Focus();
                lbl_User_Name.Text = Memo_Project.Properties.Settings.Default.User_Name;
                if (System.IO.File.Exists(fn))
                {
                    pictureBox1.Load(fn);
                }
                else
                {
                    MessageBox.Show("تصویر کاربر وجود ندارد", "هشدار",
                        MessageBoxButtons.OK, MessageBoxIcon.Error);
                }

            }
            catch (Exception)
            {

                throw;
            }
        }

        private void btn_Cancel_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

        private void btn_Accept_Click(object sender, EventArgs e)
        {
            try
            {
                if (textBox1.Text == Memo_Project.Properties.Settings.Default.User_Pw)
                {
                    this.Close();
                }
                else
                {
                    MessageBox.Show("رمز عبور وارد شده اشتباه است", "هشدار",
                         MessageBoxButtons.OK, MessageBoxIcon.Error);

                }
            }
            catch (Exception)
            {
                MessageBox.Show("کاربر عزیز: این کار امکان پذیر نیست", "هشدار",
                    MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
            
        }

        private void lbl_User_Name_Click(object sender, EventArgs e)
        {

        }
    }
}
